Bug 153306

Summary: WebCoreJSBuiltins do not need to use conditional include
Product: WebKit Reporter: youenn fablet <youennf>
Component: WebCore Misc.Assignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 153420, 153423    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch for landing
none
Fixing MediaDevices
none
Fixing NavigatorUserMedia.js none

Description youenn fablet 2016-01-21 07:47:36 PST
Compilation guards are generated by the built-in generator.
Comment 1 youenn fablet 2016-01-21 07:51:55 PST
Created attachment 269454 [details]
Patch
Comment 2 Alex Christensen 2016-01-22 16:13:47 PST
Comment on attachment 269454 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=269454&action=review

> Source/WebCore/bindings/js/WebCoreJSBuiltins.cpp:33
>  

There's no need for this space, then, and the two lists should be merged.
Comment 3 youenn fablet 2016-01-25 02:57:29 PST
Created attachment 269734 [details]
Patch for landing
Comment 4 youenn fablet 2016-01-25 02:58:13 PST
(In reply to comment #2)
> Comment on attachment 269454 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=269454&action=review
> 
> > Source/WebCore/bindings/js/WebCoreJSBuiltins.cpp:33
> >  
> 
> There's no need for this space, then, and the two lists should be merged.

Thanks for the review.
I fixed the cpp file accordingly.
Comment 5 WebKit Commit Bot 2016-01-25 03:36:24 PST
Comment on attachment 269734 [details]
Patch for landing

Clearing flags on attachment: 269734

Committed r195531: <http://trac.webkit.org/changeset/195531>
Comment 6 WebKit Commit Bot 2016-01-25 03:36:26 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 WebKit Commit Bot 2016-01-25 03:53:53 PST
Re-opened since this is blocked by bug 153420
Comment 8 youenn fablet 2016-01-25 05:07:09 PST
Created attachment 269742 [details]
Fixing MediaDevices
Comment 9 youenn fablet 2016-01-25 05:07:45 PST
(In reply to comment #8)
> Created attachment 269742 [details]
> Fixing MediaDevices

MediaDevices was using @optional and not the new term @conditional, hence breaking some builds.
Comment 10 WebKit Commit Bot 2016-01-25 06:07:03 PST
Comment on attachment 269742 [details]
Fixing MediaDevices

Clearing flags on attachment: 269742

Committed r195533: <http://trac.webkit.org/changeset/195533>
Comment 11 WebKit Commit Bot 2016-01-25 06:07:06 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 WebKit Commit Bot 2016-01-25 07:34:00 PST
Re-opened since this is blocked by bug 153423
Comment 13 youenn fablet 2016-01-25 11:51:28 PST
Created attachment 269775 [details]
Fixing NavigatorUserMedia.js
Comment 14 WebKit Commit Bot 2016-01-25 12:20:09 PST
Attachment 269775 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/WebCoreJSBuiltins.cpp:29:  Found other header before a header this file implements. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 WebKit Commit Bot 2016-01-25 23:32:37 PST
Comment on attachment 269775 [details]
Fixing NavigatorUserMedia.js

Clearing flags on attachment: 269775

Committed r195584: <http://trac.webkit.org/changeset/195584>
Comment 16 WebKit Commit Bot 2016-01-25 23:32:40 PST
All reviewed patches have been landed.  Closing bug.